## mx4j.remote.rmi
Class RMIHeartBeat

    java.lang.Object
      mx4j.remote.AbstractHeartBeat
          mx4j.remote.rmi.RMIHeartBeat

All Implemented Interfaces:
  HeartBeat, java.lang.Runnable

public class RMIHeartBeat
extends AbstractHeartBeat

Version:
  $Revision: 1.3 $

Constructor Summary
`RMIHeartBeat(javax.management.remote.rmi.RMIConnection connection, ConnectionNotificationEmitter emitter, java.util.Map environment)`

Method Summary
`protected void` `pulse()` Subclasses will implement this method using protocol specific connections.

Methods inherited from class mx4j.remote.AbstractHeartBeat
`getMaxRetries, getPulsePeriod, run, sendConnectionNotificationFailed, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIHeartBeat

    public RMIHeartBeat(javax.management.remote.rmi.RMIConnection connection,
                        ConnectionNotificationEmitter emitter,
                        java.util.Map environment)

Method Detail

### pulse

    protected void pulse()
                  throws java.io.IOException

  Description copied from class: `AbstractHeartBeat`
  Subclasses will implement this method using protocol specific connections. Normally the method `MBeanServerConnection.getDefaultDomain()` is used to "ping" the server side.

  Specified by:
    `pulse` in class `AbstractHeartBeat`
  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.